#ifndef __TIME_H
#define __TIME_H

#include <sys/types.h>
#include <compiler.h>

__BEGIN_DECLS

typedef struct _tm tm;
struct _tm {
        int tm_sec;     /* seconds after the minute - [0,59] */
        int tm_min;     /* minutes after the hour - [0,59] */
        int tm_hour;    /* hours since midnight - [0,23] */
        int tm_mday;    /* day of the month - [1,31] */
        int tm_mon;     /* months since January - [0,11] */
        int tm_year;    /* years since 1900 */
        int tm_wday;    /* days since Sunday - [0,6] */
        int tm_yday;    /* days since January 1 - [0,365] */
        int tm_isdst;   /* daylight savings time flag */
        };

typedef u_long time_t;

time_t time(time_t*);
int gmtime_r (const time_t*, tm*);
tm *gmtime (const time_t*);
int localtime_r (const time_t*, tm*);
tm * localtime (const time_t*);


int stime(time_t*t);
time_t mktime(tm* timeptr);
time_t _mkgmtime(tm* timeptr);


extern u_char _daylight;
extern long   _timezone;
extern long   _dstbias;


__END_DECLS

#endif
